Results 1 to 3 of 3
  1. #1
    Join Date
    Jan 2004
    Posts
    65,191
    Blog Entries
    7
    Plugin Contributions
    76

    Default Payflow Pro URL Change -- Update for Payflow and PayPal-UK users: Update by Sept 2009

    Important update for Payflow Pro and Website Payments Pro Payflow Edition merchants

    This information must be acted on before August 31, 2009.

    Who
    This alert applies to:
    - Payflow Pro gateway merchants (US, UK, and other parts of the world)
    - PayPal UK merchants using Express Checkout and/or Website Payments Pro 2.0 Payflow Edition


    Why
    Due to various technical requirements, PayPal is upgrading the Payflow system to do away with the naming of the Verisign roots from which the Payflow service was derived.

    What
    To upgrade your site, the following changes are required:

    Zen Cart v1.3.9 and newer: No changes required to Zen Cart core files.
    BUT if you are using Payflow Pro as your gateway, you will need the newer addon here: http://www.zen-cart.com/index.php?ma...roducts_id=321

    Zen Cart v1.3.8:
    Edit your /includes/modules/payment/paypalwpp.php file and make the following changes at lines 1040-1041.
    Edit your /includes/modules/payment/paypaldp.php file and make the following changes at lines 886-887.
    Basically just changing the 2 references of "verisign.com/transaction" to "paypal.com":
    Code:
          $doPayPal->_endpoints = array('live'    => 'https://payflowpro.verisign.com/transaction',
                                        'sandbox' => 'https://pilot-payflowpro.verisign.com/transaction');
    becomes
    Code:
          $doPayPal->_endpoints = array('live'    => 'https://payflowpro.paypal.com',
                                        'sandbox' => 'https://pilot-payflowpro.paypal.com');
    If you're a US merchant specifically using "Payflow Pro" as your gateway service, use the updated version of the addon module for Payflow: http://www.zen-cart.com/index.php?ma...roducts_id=321

    Zen Cart v1.3.7.1:
    Edit your /includes/modules/payment/paypalwpp.php file and make the above changes at lines 1012-1013.
    If you're a US merchant specifically using "Payflow Pro" as your gateway service, you must upgrade to v1.3.8a or newer, and use the new module, above.

    Zen Cart v1.3.7:
    Edit your /includes/modules/payment/paypalwpp.php file and make the above changes at lines 928-929.
    If you're a US merchant specifically using "Payflow Pro" as your gateway service, you must upgrade to v1.3.8a or newer, and use the new module, above.

    Zen Cart v1.3.6 and earlier. These versions did not support Express Checkout. As such, the only Payflow Pro support would have been via an addon. The addon uses the outdated Payflow Pro SDK, and is no longer supported by PayPal / Payflow Pro. Use of this outdated addon will prevent Payflow Pro transactions from working after September 1, 2009.
    It is strongly recommended to upgrade your Zen Cart site to a newer version before that date, to take advantage of the much improved features available not only in Zen Cart but also in the PayPal service offerings.

    IF YOU ARE USING U.S. PAYFLOW PRO, then you've likely been using the old Verisign Addon, which will no longer work after Aug 31, 2009. You'll need to use the new updated one, here: http://www.zen-cart.com/index.php?ma...roducts_id=321

    Discussion thread: http://www.zen-cart.com/forum/showthread.php?t=123127
    Last edited by DrByte; 12 Aug 2009 at 10:51 PM. Reason: revised link to newer Payflow Pro module
    .

    Zen Cart - putting the dream of business ownership within reach of anyone!
    Donate to: DrByte directly or to the Zen Cart team as a whole

    Remember: Any code suggestions you see here are merely suggestions. You assume full responsibility for your use of any such suggestions, including any impact ANY alterations you make to your site may have on your PCI compliance.
    Furthermore, any advice you see here about PCI matters is merely an opinion, and should not be relied upon as "official". Official PCI information should be obtained from the PCI Security Council directly or from one of their authorized Assessors.

  2. #2
    Join Date
    Jan 2004
    Posts
    65,191
    Blog Entries
    7
    Plugin Contributions
    76

    Default Re: Payflow Pro URL Change -- Update for Payflow and PayPal-UK users: Update by Sept

    Revised to point to updated version of Payflow Pro module: http://www.zen-cart.com/index.php?ma...roducts_id=321

    To recap:
    a) If you're a non-UK merchant using "Payflow" or "Payflow Pro", you'll need to be using at least Zen Cart v1.3.8a AND the new module mentioned above.
    b) If you're a UK merchant, you'll need to use at least Zen Cart v1.3.8 or v1.3.7.1 AND apply the code edits mentioned above.
    .

    Zen Cart - putting the dream of business ownership within reach of anyone!
    Donate to: DrByte directly or to the Zen Cart team as a whole

    Remember: Any code suggestions you see here are merely suggestions. You assume full responsibility for your use of any such suggestions, including any impact ANY alterations you make to your site may have on your PCI compliance.
    Furthermore, any advice you see here about PCI matters is merely an opinion, and should not be relied upon as "official". Official PCI information should be obtained from the PCI Security Council directly or from one of their authorized Assessors.

  3. #3
    Join Date
    Jan 2004
    Posts
    65,191
    Blog Entries
    7
    Plugin Contributions
    76

    Default Re: Payflow Pro URL Change -- Update for Payflow and PayPal-UK users: Update by Sept

    Update from PayPal:

    This notice is to inform you that on Monday January 4th, 2010, merchants processing with an outdated version of the Payflow Pro SDK will begin to experience transaction failures. If these merchants contact PayPal Customer Service, PayPal will direct them [to upgrade their sites] and refer them to our Payflow update page for specific action. Merchants will need to upgrade to [the latest version/patches] in order to successfully process payments. [Depending on] the version the merchant is using, below are the error messages the merchant will receive:

    Error code -31: If using versions 2.xx or 3.xx error code will read: “The certificate chain did not validate, no local certificate found, Cert Path = <path>s, Working Directory = <dir>.”
    Error code -1: If using version 4.0x or 4.1x, error code will read: “Failed to connect to host Input Server Uri = 'https://payflowpro.verisign.com:443/'”
    So ... if the update applies to you (as described in post #1 above), be sure to upgrade your site following the simple instructions above.
    .

    Zen Cart - putting the dream of business ownership within reach of anyone!
    Donate to: DrByte directly or to the Zen Cart team as a whole

    Remember: Any code suggestions you see here are merely suggestions. You assume full responsibility for your use of any such suggestions, including any impact ANY alterations you make to your site may have on your PCI compliance.
    Furthermore, any advice you see here about PCI matters is merely an opinion, and should not be relied upon as "official". Official PCI information should be obtained from the PCI Security Council directly or from one of their authorized Assessors.

 

 

Similar Threads

  1. v154 Does Paypal Payflow Gateway (Paypal Payflow Pro) work with 1.5.4?
    By mumzie in forum PayPal Website Payments Pro support
    Replies: 4
    Last Post: 16 Jul 2015, 06:59 PM
  2. Payflow Pro Url Change and Payment Notifications
    By HeathenMagic in forum PayPal Website Payments Pro support
    Replies: 1
    Last Post: 22 Aug 2009, 03:58 PM
  3. Payflow Pro URL Change - Paypal Express - Zen 1.3.7.1
    By DogTags in forum PayPal Express Checkout support
    Replies: 4
    Last Post: 13 Aug 2009, 08:45 PM
  4. Payflow Pro Going Away September 1, 2009
    By recentcoin in forum Templates, Stylesheets, Page Layout
    Replies: 11
    Last Post: 10 Aug 2009, 05:22 PM
  5. Replies: 8
    Last Post: 18 May 2009, 12:55 AM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
disjunctive-egg
Zen-Cart, Internet Selling Services, Klamath Falls, OR